<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="card w-[calc(560px)]">
  <div class="w-full h-[calc(80px)] flex items-center justify-between gap-6">
    <div>
      <p-button *ngIf="routeOnBack" label="Back" icon="pi pi-chevron-left" [text]="true" severity="secondary" (onClick)="onBack()"></p-button>
    </div>
    <div>
      <p-button *ngIf="showClose" icon="pi pi-times" [rounded]="true" severity="danger" (click)="close()"></p-button>
    </div>
  </div>
  <div class="w-full flex flex-col items-center text-center text-text-500 pb-28">
    <div class="font-semibold text-xxl tracking-wide mt-4 pb-2 w-96">
      {{ title }}
    </div>
    <ng-content></ng-content>
  </div>
</div>
<p-confirmDialog>
  <ng-template pTemplate="message" let-message>
    <div class="flex flex-column align-items-center w-full gap-3 border-bottom-1 surface-border">
      <i class="pi pi-exclamation-circle text-6xl text-primary-500"></i>
      <p>{{ message.message }}</p>
    </div>
  </ng-template>
</p-confirmDialog>
